paypal purchase view needs support to create new windows

Bug #893988 reported by Michael Vogt on 2011-11-23
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
software-center (Ubuntu)
Medium
Unassigned
Maverick
Medium
Unassigned
Natty
Medium
Unassigned
Oneiric
Undecided
Unassigned

Bug Description

The purchase view for paypal needs support for creating new browser windows in order to view interact with paypal. The current code in maverick and natty does not support this.

TEST CASE:
1. use maverick/natty
2. go to software-center and select "buy" on a "for-purchase" application
3. login, select "pay via paypal"
4. click on "review payment", click on "submit payment", "buy as a guest"
5. verify that no popup opens
6. install software-center from -proposed
7. repeat step 2-4
8. verify that this time a popup opens

Michael Vogt (mvo) on 2011-11-23
Changed in software-center (Ubuntu):
status: New → Fix Released
Changed in software-center (Ubuntu Maverick):
status: New → In Progress
Changed in software-center (Ubuntu Natty):
status: New → In Progress
Changed in software-center (Ubuntu Maverick):
importance: Undecided → Medium
Changed in software-center (Ubuntu Natty):
importance: Undecided → Medium
Changed in software-center (Ubuntu):
importance: Undecided → Medium
description: updated
Michael Vogt (mvo) wrote :

Oneiric actually needs a update as well because it does not set the parent transient.

Changed in software-center (Ubuntu Oneiric):
status: New → In Progress

Hello Michael, or anyone else affected,

Accepted software-center into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in software-center (Ubuntu Maverick):
status: In Progress → Fix Committed
tags: added: verification-needed
Changed in software-center (Ubuntu Natty):
status: In Progress → Fix Committed
Chris Halse Rogers (raof) wrote :

Hello Michael, or anyone else affected,

Accepted software-center into natty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Martin Pitt (pitti) wrote :

Hello Michael, or anyone else affected,

Accepted software-center into oneiric-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in software-center (Ubuntu Oneiric):
status: In Progress → Fix Committed
Jean-Baptiste Lallement (jibel) wrote :

SRU verification for Natty:
I have reproduced the problem with software-center 4.0.5ubuntu0.1 in natty-updates and have verified that the version of software-center 4.0.6 in -proposed fixes the issue.

Marking as verification-done

Jean-Baptiste Lallement (jibel) wrote :

SRU verification for Oneiric:
I have reproduced the problem with software-center 5.0.2ubuntu0.1 in oneiric-updates and have verified that the version of software-center 5.0.3.1 in -proposed fixes the issue.

Marking as verification-done

Jean-Baptiste Lallement (jibel) wrote :

I can't test on Maverick, the list of software available for purchase is empty.

tags: added: verification-done verification-done-natty verification-done-oneiric
Gary Lasker (gary-lasker) wrote :

This is working for me in Maverick.

SRU verification for Maverick:
I have reproduced the problem with software-center 5.0.2ubuntu0.1 in maverick-updates and have verified that the version of software-center3.0.11 in maverick-proposed fixes the issue.

Marking as verification-done

Thanks!

tags: removed: verification-done-natty verification-done-oneiric verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 4.0.6

---------------
software-center (4.0.6) natty-proposed; urgency=low

  * cherry pick fix to allow webkit to create additional windows
    during the purchase - this is needed to support PayPal in the
    purchase process (LP: #893988)
 -- Michael Vogt <email address hidden> Wed, 23 Nov 2011 13:29:15 +0100

Changed in software-center (Ubuntu Natty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 3.0.11

---------------
software-center (3.0.11) maverick-proposed; urgency=low

  * cherry pick fix to allow webkit to create additional windows
    during the purchase - this is needed to support PayPal in the
    purchase process (LP: #893988)
 -- Michael Vogt <email address hidden> Thu, 24 Nov 2011 09:48:13 +0100

Changed in software-center (Ubuntu Maverick):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 5.0.3.1

---------------
software-center (5.0.3.1) oneiric-proposed; urgency=low

  * softwarecenter/ui/gtk3/views/purchaseview.py:
    - set transient parent when creating a new webview to better
      support PayPal (LP: #893988)

software-center (5.0.3) oneiric-proposed; urgency=low

  [ Michael Vogt ]
  * Improve icon extenstion detection, some iconnames are already
    without extenstion with still with a "." in the name, some are not.
    This fixes the icons display for wesnoth and xpuzzles (LP: #878707)

  [ Gary Lasker ]
  * softwarecenter/ui/gtk3/app.py:
    - fix potential dbus crash when accessing the list of previous
      purchases (LP: #863898)
  * softwarecenter/ui/gtk3/session/navhistory.py:
    - fix UnicodeDecodeError in NavigationItem __str__ (LP: #847050)
  * softwarecenter/ui/gtk3/panes/softwarepane.py:
    - fix UnicodeDecodeError in DisplayState __str__ (LP: #873046)
  * softwarecenter/ui/gtk3/models/pendingstore.py:
    - fix UnicodeDecodeError in _render_status_text (LP: #862029)
  * softwarecenter/distro/__init__.py:
    - fix UnicodeDecodeError in get_install_warning_text (LP: #857416)
  * softwarecenter/db/application.py:
    - fix UnicodeDecodeError in __str__ (LP: #871088)

  [ Gabor Kelemen ]
  * Fix misplaced parentheses and localize the app name
    using the app-install-data-ubuntu domain. LP: #880257
  * Display the success message properly localized. LP: #872823
  * Display failure message properly localized. LP: #872812
 -- Michael Vogt <email address hidden> Thu, 24 Nov 2011 10:10:25 +0100

Changed in software-center (Ubuntu Oneiric):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers